// BUMP, the imageboard porter
// ===========================
// -This software is designed to help out anon with imageboards

// -Filename: bumpmain.cpp
// -The main program entry-point

#include <iostream>

#include "Bump.h"

using std::cout;

// Display thread IDs to be updated
void notify_user(const Bump& board)
{
  cout << "\nupdating these threads for " << board.site() << "/" << board.name()
       << "/ :\n";
  for (const auto id : board.bumps())
    cout << id << '\n';
  cout.flush();
}

// Build a local, thread-sorted archive of an imageboard
// USAGE:  ./bump  site_name  board_name
// -ex:    ./bump julay.world robowaifu
int main(int argc, char* argv[])
{
  Bump board{argc, argv};

  if (board.has_bumps()) {
    notify_user(board);
    board.save_bump_thrds();
    cout << "\n    == finished updating /" << board.name()
         << "/ archive ==\n\n";
  }
  else
    cout << "   - nothing to do, " << board.site() << "/" << board.name()
         << "/ archive up to date.\n\n";
}

// Copyright (2019)
// License (MIT) https://opensource.org/licenses/MIT
